<div>
    <h1>whoami.cash</h1>
    <div>
        <ul>
            {% if loginData.loggedIn %}
            <li>Logged in as {{ loginData.address }}</li>
            {% else %}
            <li>Not logged in</li>
            {% endif %}
        </ul>
</div>

<script type="text/javascript">
(function () {
   // cashid-heartbeat.js - notifies browsers of cashid capabilities
  const CASHID_DOMAIN = "whoami.cash";
  const CASHID_PATH = "/cashid.php";

  // announces cashid capabilities to browser
  function sendCashIdHeartbeat() {
    setTimeout(function () {
      window.postMessage({
        source: "cashid",
        type: "heartbeat",
        uri: "{{ challenge | raw }}",
      });
    }, 100);
  }

  window.addEventListener("load", function () {
	  setInterval(function() {
    sendCashIdHeartbeat();
	  }, 3000);
  });
})();
</script>
